URL structure
1 https://content-service.xy-company.com/api/v1
Supported methods and overview
GET - retrieves a list of callable API endpoints on the Covata Platform's Content Service, which are available to integrators.
Note: This method takes no parameters.
Detailed description
This API endpoint retrieves a list of every callable API endpoint on the the Covata Platform's Content Service that are available to integrators.
Regardless of the Covata user's role associated with the access token submitted with this request, all callable API endpoints are retrieved. However, each of these API endpoints has their own Supported roles.
Supported roles
This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Safe Share Administrator's and Organization Administrator's Guides):
The Covata Platform's resources available to Covata users meeting the criteria above is determined by the access token submitted in the header of requests to this endpoint.
Required headers
The appropriate access token as the Bearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
A JSON-formatted response containing the following members:
-
services - An array containing information about each callable API endpoint on the Covata Platform's Content Service. Each element of this array contains information about one of these endpoints (represented as an object containing the following members):
-
httpMethod - The method supported by the API endpoint URL (below).
-
link - The format of the API endpoint's URL, excluding the base URL component (i.e. contentServiceURL, as described in <access-service>/api/v1).
-
name - The internal name given to the API endpoint.
Example (response): {
"services": [{
"httpMethod": "GET",
"link": "/api/v1/config",
"name": "getConfig"
}, {
"httpMethod": "GET",
"link": "/api/v1/versions/{versionId}/contents",
"name": "getVersionContents"
}, {
"httpMethod": "DELETE",
"link": "/api/v1/collections/{collectionId}/contents",
"name": "deleteCollectionContents"
}, {
"httpMethod": "DELETE",
"link": "/api/v1/objects/{objectId}/contents",
"name": "deleteContents"
}, {
"httpMethod": "GET",
"link": "/api/v1/objects/{objectId}/view",
"name": "getView"
}, {
"httpMethod": "PUT",
"link": "/api/v1/objects/{objectId}/view",
"name": "convertContents"
}, {
"httpMethod": "POST",
"link": "/api/v1/objects/{objectId}/versions",
"name": "updateContents"
}, {
"httpMethod": "POST",
"link": "/api/v1/objects/{objectId}/contents",
"name": "addContents"
}, {
"httpMethod": "GET",
"link": "/api/v1/objects/{objectId}/contents",
"name": "getContents"
}, {
"httpMethod": "POST",
"link": "/api/v1/auth",
"name": "getCookie"
}, {
"httpMethod": "GET",
"link": "/api/v1/versions/{versionId}/view",
"name": "getVersionView"
}]
}